# IfElse

IfElse allows for testing of conditions. The if statement provides a separate path of execution when an "if" clause evaluates to *true*.

***

## Properties

### Conditions

A set of conditions to evaluate.

### Stop when true

When *UNCHECKED*, the conditions will be evaluated separately as a series of *IF* statements. When *CHECKED*, the conditions will be combined with *IfElse* statements.

### Show else

When *CHECKED*, the statement will include an *ELSE* condition for you to define. When *UNCHECKED* there will be no *ELSE* condition.

***

## Examples

### 'Stop when true' is *CHECKED*

> if (condition1) {\
> //your logic\
> } elseif (condition2) {\
> //your logic\
> }

### 'Stop when true' is *UNCHECKED*

> if (condition1) {\
> //your logic\
> }\
> if (condition2) { //your logic\
> }

***

## Tutorial video

{% embed url="<https://youtu.be/DAAaDlQOoYk>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/linx/content/ifelse.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
